Skip to content
Developer Docs

Cancel operation

PUT
/flow/v1/operations/{operationUuid}/cancel

Cancels an operation when still eligible. Used for operational management of unfinalised collections.

Cancellation is allowed when the operation is in CREATED, or in OPENED and has no pending transaction (i.e. the payer is not in the middle of authorizing the payment at their bank). Responds with 204 No Content on success. Idempotent: if the operation is already CANCELLED, it is a no-op and still returns 204. Returns 409 if the operation is in another final state (COMPLETED, REJECTED, EXPIRED, NOT_DELIVERED) or has a pending transaction. If the cancelled operation was the only active one in its flow, the flow also transitions to CANCELLED.

Authorizations

OAuth2Board

OAuth2 for Dashboard (SPA) using Authorization Code (PKCE expected)

authorizationCode Flow
Authorization URL"https://nc-api-uat.zertiban.com/idp/oauth2/authorize"
Token URL"https://nc-api-uat.zertiban.com/idp/oauth2/token"
Scopes:
  • "DASHBOARD"Dashboard scope
or
OAuth2M2M

OAuth2 for M2M integrations using Client Credentials

clientCredentials Flow
Token URL"https://nc-api-uat.zertiban.com/idp/oauth2/token"
Scopes:
  • "API"M2M API scope

Parameters

Header Parameters

x-tenant-id*

Tenant identifier that contains the business UUID

Type
string
Required

Path Parameters

operationUuid*

Operation UUID

Type
string
Required
Format
"uuid"

Responses

Operation successfully cancelled (no content)

Playground

Authorization
Headers
Variables
Key
Value

Samples